%!TEX root=../../thesis.tex
%!TEX file=content/spatial-dynamics/numerical-complexity.tex

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\section{Numerical Complexity}\label{sec:spatial-dynamics:numerical-complexity}

With the ultimate goal of finding a computationally efficient formulation for the dynamics of \caros under consideration of the cable, numerical complexity of the derived cable model is of interest.
Since in a combined \caro simulation the mobile platform will be considered a rigid body with a maximum of six \gls{DOF}, its complexity and cost is low and the major contribution to the overall complexity stems from the cable model.
The focus for evaluating the model's complexity will be on both the selected bases functions, as well as the entailed Gaussian quadrature used in computing the integral forces.


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\input{content/spatial-dynamics/numerical-complexity/b-splines}



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\input{content/spatial-dynamics/numerical-complexity/gaussian-quadrature}
